#include <stdio.h>

#include "pvm3.h"

#define MAXTASKS 512

main (int argc, char **argv)
{
  int mytid;
  int status;

  int where=0;
  int ntask;
  struct taskinfo *taskp;

  taskp = (struct taskinfo *) malloc (sizeof (struct taskinfo) * MAXTASKS);

  /* PVM Startup */
  mytid = pvm_mytid();
  
  status = pvm_tasks(where, &ntask, &taskp);

  if (status) {
    perror("pvm_tasks");
    return 1;
  }

  fprintf(stdout, "reporting on all tasks\n");
  fprintf(stdout, "tasks = %d\n", ntask);
  fprintf(stdout, "\n");

  {
    int i;

      fprintf(stdout,
	      "%8s  %8s  %8s  %10s  %s\n",
	      "TaskID",
	      "ParentID",
	      "pvmd tid",
	      "status",
	      "executable" );

    for (i=0; i<ntask; i++)
      fprintf(stdout,
	      "%8x  %8x  %8x  %8d  '%s'\n",
	      taskp[i].ti_tid,
	      taskp[i].ti_ptid,
	      taskp[i].ti_host,
	      taskp[i].ti_flag,
	      taskp[i].ti_a_out );
  }

  /* PVM Shutdown */
  pvm_exit();
}
