/*
 *    Columbia University     
 *    Computer Science Department
 *
 *    Andrew Lih <lih@cs.columbia.edu>
 *    Erez Zadok <ezk@cs.columbia.edu>
 *    May 1993
 *
 *    pvm3_ad.h: GNU make agent daemon for PVM tasks, header file
 *
 */

#ifndef _INCLUDED_MAKED_H_
#define _INCLUDED_MAKED_H_

#define STDOUT_FILENAME  "/tmp/pvm3_ad.stdout.%d"
#define STDERR_FILENAME  "/tmp/pvm3_ad.stderr.%d"

#define STDIN_FILENO   0
#define STDOUT_FILENO  1
#define STDERR_FILENO  2

#define MAX_TEMP_PATH_LEN  1024

/* Large enough to hold the stdout from a message */
#define LARGE_BUFSIZ   8192

#endif
