
			/* STRUCTURES */
struct chksumdat_t {
  time_t mtime;			/* last modification time */
  int chksum_p[4];		/* md4 checksum */
};
typedef struct chksumdat_t chksumdat_t;

			/* DEFINITIONS */
#define CHKSUMD_PROGRAM		(u_long) 383841 /* server number */
#define CHKSUMD_VERSION		(u_long) 1 /* server version */
#define CHKSUMD_ichksum		(u_long) 1 /* get checksum from inode */
#define CHKSUMD_schksum		(u_long) 2 /* get checksum from string */


			/* EXTERNALS */
extern bool_t xdr_checksum();
